PARTX(8)

NAMN
partx - berätta för kärnan om förekomsten och numreringen av partitioner på disken

SYNOPSIS

partx [-a|-d|-P|-r|-s|-u] [-t typ] [-n M:_N_] [-] disk

partx [-a|-d|-P|-r|-s|-u] [-t typ] partition [disk]

BESKRIVNING

Med en enhet eller diskavbildning försöker partx tolka partitionstabellen och lista dess innehåll. Det kan också tala om för kärnan att lägga till eller ta bort partitioner från dess bokföring.

Argumentet disk är valfritt när argumentet partition anges. Om du vill tvinga fram skanning av en partition som om den vore en hel disk (t.ex. för att lista nästlade underpartitioner) använder du argumentet "-" (bindestreck minus). Exempel: partition:

    partx --show - /dev/sda3

Detta kommer att se sda3 som en hel disk snarare än som en partition.

partx är inte ett fdisk-program - att lägga till och ta bort partitioner ändrar inte disken, det talar bara om för kärnan att det finns partitioner på disken och hur de är numrerade.

FLAGGOR

-a, --add
    Lägg till de angivna partitionerna, eller läs disken och lägg till alla partitioner.

-b, --bytes
    Print sizes in bytes rather than in human-readable form.

    By default, sizes are shown in units that are powers of 1024 bytes. The formal abbreviations for these units (KiB, MiB, GiB, ...) are further shortened to just their first letter: K, M, G, ....

-d, --delete
    Ta bort de angivna partitionerna eller alla partitioner. Det är inte fel att ta bort icke-existerande partitioner, så den här flaggan kan användas tillsammans med stora --nr-intervall utan att man behöver bry sig om de aktuella partitionerna på enheten.

-g, --noheadings
    Skriv inte ut en rubrikrad med --show eller --raw.

-l, --list
    Lista partitionerna. Observera att alla siffror är i 512-byte-sektorer. Detta utdataformat är DEPRECIERAT till förmån för --show. Använd det inte i nyskrivna skript.

-n, --nr M:N
    Ange intervallet av partitioner. För bakåtkompatibilitet stöds även formatet M-N. Intervallet kan innehålla negativa tal, t.ex. --nr -1:-1 betyder den sista partitionen, och --nr -2:-1 betyder de två sista partitionerna. Specifikationer för intervall som stöds är:

    M
        Anger bara en partition (t.ex. --nr 3).

    M:
        Anger endast den nedre gränsen (t.ex. --nr 2:).

    :N
        Anger endast den övre gränsen (t.ex. --nr :4).

    M:N_
        Anger den nedre och övre gränsen (t.ex. --nr 2:4).

-o, --output lista
    Definiera vilka utdatakolumner som ska användas för --show, --pairs och --raw utdata. Om inget utdataarrangemang anges används en standarduppsättning. Använd --help för att få en lista över alla kolumner som stöds. Denna flagga kan inte kombineras med flaggorna --add, --delete, --update eller --list.

--output-all
    Skriv ut alla tillgängliga kolumner.

-P, --pairs
    Lista partitionerna med formatet KEY="value".

-r, --raw
    Lista partitionerna med hjälp av det råa utdataformatet.

-s, --show
    Lista partitionerna. Utmatningskolumnerna kan väljas och omorganiseras med flaggan --output. Alla siffror (utom SIZE) är i 512-byte-sektorer.

-t, --type typ
    Ange typ av partitionstabell.

--list-types
    Lista partitionstyper som stöds och avsluta.

-u, --update
    Uppdatera de angivna partitionerna.

-S, --sector-size storlek
    Skriva över standardsektorstorlek.

-v, --verbose
    Utförligt läge.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

MILJÖ

LIBBLKID_DEBUG=all
    aktiverar libblkid felsökningsutdata.

EXEMPEL

partx --show /dev/sdb3, partx --show --nr 3 /dev/sdb, partx --show /dev/sdb3 /dev/sdb
    Alla tre kommandona visar partition 3 på /dev/sdb.

partx --show - /dev/sdb3
    Listar alla underpartitioner på /dev/sdb3 (enheten används som en hel disk).

partx -o START -g --nr 5 /dev/sdb
    Skriver ut startsektorn för partition 5 på /dev/sdb utan rubrik.

partx -o SEKTORER,STORLEK /dev/sda5 /dev/sda
    Visar längden i sektorer och den läsbara storleken på partition 5 på /dev/sda.

partx --add --nr 3:5 /dev/sdd
    Lägger till alla tillgängliga partitioner från 3 till 5 (inklusive) på /dev/sdd.

partx -d --nr -1: /dev/sdd
    Tar bort den sista partitionen på /dev/sdd.

UPPHOVSPERSONER

Originalversionen skrevs av

SE ÄVEN

addpart(8), delpart(8), fdisk(8), parted(8), partprobe(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot partx ingår i paketet util-linux som kan hämtas från